Subject: Re: linux-next: build failure after merge of the sound-current tree

From: Takashi Iwai <[email-masked]>
Date: Fri, 05 Jun 2020 08:39:51 +0200

On Fri, 05 Jun 2020 04:18:29 +0200,
Macpaul Lin wrote:
> 
> On Fri, 2020-06-05 at 08:43 +1000, Stephen Rothwell wrote:
> > Hi all,
> > 
> > After merging the sound-current tree, today's linux-next build (arm
> > multi_v7_defconfig) failed like this:
> > 
> > /home/sfr/next/next/sound/usb/card.c: In function 'snd_usb_autoresume':
> > /home/sfr/next/next/sound/usb/card.c:841:29: error: expected ';' before ')' token
> >   841 |    atomic_dec(&chip->active))
> >       |                             ^
> >       |                             ;
> > 
> > Caused by commit
> > 
> >   3398e5c7b038 ("ALSA: usb-audio: Manage auto-pm of all bundled interfaces")
> > 
> > I have reverted that commit for today.
> > 
> 
> Sorry I've tested its function by "patch back" to older kernel version
> 4.14.
> After checking the latest patch again, there is indeed a typo here.

Sorry for the mess, somehow a wrong version was pushed and merged.
I also tested but overlooked it...

Will scratch and resubmit the corrected one.

Takashi